# Upload remote execution source

Upload the source code for the remote execution.

Endpoint: POST /iacm/api/orgs/{org}/projects/{project}/workspaces/{workspace}/remote-executions/{id}/upload
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "ew"

  - `project` (string, required)
    Project is the project identifier.
    Example: "3"

  - `workspace` (string, required)
    Workspace is the resource workspace this variable is associated with.
    Example: "Incidunt quo laborum facere eaque in."

  - `id` (string, required)
    The ID of the remote execution
    Example: "0ec92c7f-92ee-4ce5-98b7-596787a108c7"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "5"

  - `Content-Length` (integer)
    Size in bytes of the source code.
    Example: 7520600280278308000

  - `Content-Digest` (string, required)
    Content-Digest header as defined in https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Content-Digest. Sha256 is the only supported algorithm.
    Example: "Ex commodi praesentium."

## Response 200 fields (application/json):

  - `account` (string, required)
    Account is the internal customer account ID.
    Example: "t"

  - `created` (integer, required)
    Created is the unix timestamp at which the resource was originally created in milliseconds.
    Example: 313621521761841400

  - `custom_arguments` (object)
    The arguments supplied to the plan.
    Example: {"Culpa sint soluta accusamus.":["Et quae et est maxime repellendus aut.","Quidem cupiditate qui autem delectus nostrum.","Et quas officia quia vero.","Sed unde voluptatem."],"Dignissimos numquam vero ullam.":["Id ad rerum enim occaecati qui ullam.","Nulla asperiores cum ut et temporibus aliquid."],"Sed quo perferendis.":["Rerum eaque laudantium eum qui.","Pariatur quae.","Repudiandae tempore aspernatur.","Similique voluptatem delectus ex."]}

  - `executed` (boolean, required)
    The boolean value indicating if the remote execution has been executed.
    Example: true

  - `id` (string, required)
    The ID of the remote execution.
    Example: "b5023a61-3593-4445-b5e5-29459abef48b"

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "q2u"

  - `pipeline_execution_id` (string, required)
    The pipeline execution ID of the pipeline executing the remote execution
    Example: "Qui tempore."

  - `pipeline_execution_url` (string, required)
    The pipeline execution URL of the pipeline executing the remote execution
    Example: "Voluptas eum dolore cumque."

  - `project` (string, required)
    Project is the project identifier.
    Example: "9f"

  - `sha256_checksum` (string, required)
    The checksum of the patch file of changes that the remote execution will run against.
    Example: "Dolore eum illum qui optio."

  - `updated` (integer, required)
    Modified is the unix timestamp at which the resource was last modified in milliseconds.
    Example: 5528841834816004000

  - `workspace` (string, required)
    The workspace associated with the remote execution.
    Example: "Animi dolores odit voluptas voluptatem."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


